DKBSignDocs

API reference

POSTRequires Bearer token

Start TOTP enrollment

/api/v1/mfa/totp/setup

Returns secret and otpauth_url. Pending until confirm. 403 if TOTP is already active.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Pending TOTP
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v1/mfa/totp/setup' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "secret": "JBSWY3DPEHPK3PXP",
  "otpauth_url": "otpauth://totp/DKBSign:user@acme.test?secret=…"
}